### Property

# Phosh TopPanel:on-lockscreen

#### Declaration

    property on-lockscreen: gboolean [ read, write ]

#### Description [src]

Whether top-panel is shown on lockscreen (`TRUE`) or in the unlocked shell (`FALSE`).

Consider this property to be read only. It’s only r/w so we can use a property binding with the `PhoshShell`s “locked” property.

Type:`gboolean`

Default value | FALSE

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no